/**
 * Die Klasse RectangleTest bietet eine vorkonfigurierte main-Methode mit
 * der die Klasse Rectangle auf Funktionsfhigkeit getestet werden kann.
 * 
 * @author (Tobias Hennchen) 
 * @version (2007.05.22)
 */

public class RectangleTest {


    /**
     * Die main-Methode erwartet einen in der Regel einen Array. Dieser wird jedoch 
     * fr die aktuelle Aufgabenstellung nicht gebraucht.
     * 
     * @param args  String Array 
     */
    public static void main (String[] args) {

        //Dies sind mgliche Beispiele, die die Funktionen der Klasse Rectangle
        //zeigen demonstrieren sollen.

        Rectangle rec1 = new Rectangle(0,0,4,4);
        Rectangle rec2 = new Rectangle(1,1,2,3);
        Rectangle rec3 = new Rectangle(6,5,2,1);

        System.out.println("Rechteck 1 quadratisch?: " + rec1.isSquare());
        System.out.println("Rechteck 2 quadratisch?: " + rec2.isSquare());
        System.out.println("Rechteck 3 quadratisch?: " + rec3.isSquare());

        System.out.println("Rechteck 2 in 1?: " + rec2.isContained(rec1));
        System.out.println("Rechteck 3 in 1?: " + rec3.isContained(rec1));

        System.out.println("Rechteck 3 ausserhalb 1?: " + rec1.isDisjoint(rec3));
        System.out.println("Rechteck 1 ausserhalb 2?: " + rec2.isDisjoint(rec1));

    }
}